Game Develop Core: gd::LayoutEditorCanvasAssociatedEditor Class Reference

| Game Develop Core Core library for developing platforms and tools compatible with Game Develop.

- Main Page
- Modules
- Classes

- Class List
- Class Index
- Class Hierarchy

All Classes Files Functions Variables Typedefs Enumerations Macros Groups Pages
Public Member Functions | List of all members
gd::LayoutEditorCanvasAssociatedEditor Class Referenceabstract
IDE Classes ( Classes to be used to implement a development environment )

Base class meant to be used by the IDE for its editors that are associated with a gd::LayoutEditorCanvas. More...

`#include <LayoutEditorCanvasAssociatedEditor.h>`

Inheritance diagram for gd::LayoutEditorCanvasAssociatedEditor:
[legend]

## Public Member Functions

virtual void | Refresh ()=0
virtual void | SelectedInitialInstance (const gd::InitialInstance &instance)
virtual void | DeselectedInitialInstance (const gd::InitialInstance &instance)
virtual void | DeselectedAllInitialInstance ()
virtual void | InitialInstancesUpdated ()
virtual void | ObjectsUpdated ()
virtual bool | Enable (bool enable=true)=0

## Detailed Description

Base class meant to be used by the IDE for its editors that are associated with a gd::LayoutEditorCanvas.

When the IDE create a LayoutEditorCanvas and some others editors ( like an objects editor, also a layers editor probably ), the latter must be aware of changes happening in the LayoutEditorCanvas ( and reciprocally, the LayoutEditorCanvas sometimes must be updated after changes inside these editors. ). This class provides a simple interface to allow these notifications to be transmitted.

## Member Function Documentation

virtual void gd::LayoutEditorCanvasAssociatedEditor::DeselectedAllInitialInstance | ( | ) |  |

inlinevirtual

Called by LayoutEditorCanvas when all initial instances are deselected.

virtual void gd::LayoutEditorCanvasAssociatedEditor::DeselectedInitialInstance | ( | const gd::InitialInstance & | instance) |  |

inlinevirtual

Called by LayoutEditorCanvas when an initial instance is deselected

virtual bool gd::LayoutEditorCanvasAssociatedEditor::Enable | ( | bool | enable = `true`) |  |

pure virtual

Ask the editor to go into a normal ( non greyed ) or disabled ( greyed ) state.

Implemented in gd::LayersEditorPanel.

virtual void gd::LayoutEditorCanvasAssociatedEditor::InitialInstancesUpdated | ( | ) |  |

inlinevirtual

Called when the initial instances of the layout have been updated

virtual void gd::LayoutEditorCanvasAssociatedEditor::ObjectsUpdated | ( | ) |  |

inlinevirtual

Called when the objects of the layout have been changed inside the gd::LayoutEditorCanvas. ( Typically, LayoutEditorCanvas can allow the user to create a new object by choosing an option in a contextual menu )

virtual void gd::LayoutEditorCanvasAssociatedEditor::Refresh | ( | ) |  |

pure virtual

Called when a full refresh of the editor must be done.

Implemented in gd::LayersEditorPanel.

virtual void gd::LayoutEditorCanvasAssociatedEditor::SelectedInitialInstance | ( | const gd::InitialInstance & | instance) |  |

inlinevirtual

Called by LayoutEditorCanvas when an initial instance is selected

The documentation for this class was generated from the following file:

- LayoutEditorCanvasAssociatedEditor.h